VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::cli::CommandTypes::OutputFieldInfo Class Reference

The `Command.OutputFieldInfo` class describes the name used by the CLI to display a single field of a class element in the interface definition language. More...

List of all members.

## Public Member Functions
| OutputFieldInfo ()
| Creates a default new instance.
string | GetFieldName ()
| Name of the field.
void | SetFieldName (string fieldName)
| Name of the field.
string | GetDisplayName ()
| Name used by the CLI to display the field.
void | SetDisplayName (string displayName)
| Name used by the CLI to display the field.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Command.OutputFieldInfo` class describes the name used by the CLI to display a single field of a class element in the interface definition language.

## Constructor & Destructor Documentation

vmware::vapi::metadata::cli::CommandTypes::OutputFieldInfo::OutputFieldInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::cli::CommandTypes::OutputFieldInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::cli::CommandTypes::OutputFieldInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::cli::CommandTypes::OutputFieldInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::cli::CommandTypes::OutputFieldInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::cli::CommandTypes::OutputFieldInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::cli::CommandTypes::OutputFieldInfo::Equals | ( | object | obj | ) | `[inline]`

string vmware::vapi::metadata::cli::CommandTypes::OutputFieldInfo::GetDisplayName | ( |  | ) | `[inline]`

Name used by the CLI to display the field.

string vmware::vapi::metadata::cli::CommandTypes::OutputFieldInfo::GetFieldName | ( |  | ) | `[inline]`

Name of the field.

override int vmware::vapi::metadata::cli::CommandTypes::OutputFieldInfo::GetHashCode | ( |  | ) | `[inline]`

void vmware::vapi::metadata::cli::CommandTypes::OutputFieldInfo::SetDisplayName | ( | string | displayName | ) | `[inline]`

Name used by the CLI to display the field.

void vmware::vapi::metadata::cli::CommandTypes::OutputFieldInfo::SetFieldName | ( | string | fieldName | ) | `[inline]`

Name of the field.

override string vmware::vapi::metadata::cli::CommandTypes::OutputFieldInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- CommandTypes.cs